Package org.h2.expression.aggregate

# Enum Class AggregateType

java.lang.Object
java.lang.Enum<AggregateType>
org.h2.expression.aggregate.AggregateType

All Implemented Interfaces:
  `Serializable`, `Comparable<AggregateType>`, `Constable`

public enum AggregateType extends Enum<AggregateType>
The type of an aggregate function.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
The aggregate type for ANY(expression).
`ANY_VALUE`
The aggregate type for ANY_VALUE(expression).
`ARRAY_AGG`
The aggregate type for ARRAY_AGG(expression).
`AVG`
The aggregate type for AVG(expression).
`BIT_AND_AGG`
The aggregate type for BIT_AND_AGG(expression).
`BIT_NAND_AGG`
The aggregate type for BIT_NAND_AGG(expression).
`BIT_NOR_AGG`
The aggregate type for BIT_NOR_AGG(expression).
`BIT_OR_AGG`
The aggregate type for BIT_OR_AGG(expression).
`BIT_XNOR_AGG`
The aggregate type for BIT_XNOR_AGG(expression).
`BIT_XOR_AGG`
The aggregate type for BIT_XOR_AGG(expression).
`CORR`
The aggregate type for CORR binary set function.
`COUNT`
The aggregate type for COUNT(expression).
`COUNT_ALL`
The aggregate type for COUNT(*).
`COVAR_POP`
The aggregate type for COVAR_POP binary set function.
`COVAR_SAMP`
The aggregate type for COVAR_SAMP binary set function.
`CUME_DIST`
The type for CUME_DIST() hypothetical set function.
`DENSE_RANK`
The type for DENSE_RANK() hypothetical set function.
`ENVELOPE`
The aggregate type for ENVELOPE(expression).
`EVERY`
The aggregate type for EVERY(expression).
`GCD_AGG`
The aggregate type for GCD_AGG(expression).
`HISTOGRAM`
The aggregate type for HISTOGRAM(expression).
`JSON_ARRAYAGG`
The aggregate type for JSON_ARRAYAGG(expression).
`JSON_OBJECTAGG`
The aggregate type for JSON_OBJECTAGG(expression: expression).
`LCM_AGG`
The aggregate type for LCM_AGG(expression).
`LISTAGG`
The aggregate type for LISTAGG(...).
`MAX`
The aggregate type for MAX(expression).
`MEDIAN`
The aggregate type for MEDIAN(expression).
`MIN`
The aggregate type for MIN(expression).
`MODE`
The aggregate type for MODE(expression).
`PERCENT_RANK`
The type for PERCENT_RANK() hypothetical set function.
`PERCENTILE_CONT`
The aggregate type for PERCENTILE_CONT(expression).
`PERCENTILE_DISC`
The aggregate type for PERCENTILE_DISC(expression).
`RANK`
The type for RANK() hypothetical set function.
`REGR_AVGX`
The aggregate type for REGR_AVGX binary set function.
`REGR_AVGY`
The aggregate type for REGR_AVGY binary set function.
`REGR_COUNT`
The aggregate type for REGR_COUNT binary set function.
`REGR_INTERCEPT`
The aggregate type for REGR_INTERCEPT binary set function.
`REGR_R2`
The aggregate type for REGR_R2 binary set function.
`REGR_SLOPE`
The aggregate type for REGR_SLOPE binary set function.
`REGR_SXX`
The aggregate type for REGR_SXX binary set function.
`REGR_SXY`
The aggregate type for REGR_SXY binary set function.
`REGR_SYY`
The aggregate type for REGR_SYY binary set function.
`STDDEV_POP`
The aggregate type for STDDEV_POP(expression).
`STDDEV_SAMP`
The aggregate type for STDDEV_SAMP(expression).
`SUM`
The aggregate type for SUM(expression).
`VAR_POP`
The aggregate type for VAR_POP(expression).
`VAR_SAMP`
The aggregate type for VAR_SAMP(expression).

## Method Summary

Modifier and Type
Method
Description
`static AggregateType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AggregateType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COUNT_ALL

public static final AggregateType COUNT_ALL
The aggregate type for COUNT(*).

### COUNT

public static final AggregateType COUNT
The aggregate type for COUNT(expression).

### SUM

public static final AggregateType SUM
The aggregate type for SUM(expression).

### MIN

public static final AggregateType MIN
The aggregate type for MIN(expression).

### MAX

public static final AggregateType MAX
The aggregate type for MAX(expression).

### AVG

public static final AggregateType AVG
The aggregate type for AVG(expression).

### STDDEV_POP

public static final AggregateType STDDEV_POP
The aggregate type for STDDEV_POP(expression).

### STDDEV_SAMP

public static final AggregateType STDDEV_SAMP
The aggregate type for STDDEV_SAMP(expression).

### VAR_POP

public static final AggregateType VAR_POP
The aggregate type for VAR_POP(expression).

### VAR_SAMP

public static final AggregateType VAR_SAMP
The aggregate type for VAR_SAMP(expression).

### ANY_VALUE

public static final AggregateType ANY_VALUE
The aggregate type for ANY_VALUE(expression).

### ANY

public static final AggregateType ANY
The aggregate type for ANY(expression).

### EVERY

public static final AggregateType EVERY
The aggregate type for EVERY(expression).

### BIT_AND_AGG

public static final AggregateType BIT_AND_AGG
The aggregate type for BIT_AND_AGG(expression).

### BIT_OR_AGG

public static final AggregateType BIT_OR_AGG
The aggregate type for BIT_OR_AGG(expression).

### BIT_XOR_AGG

public static final AggregateType BIT_XOR_AGG
The aggregate type for BIT_XOR_AGG(expression).

### BIT_NAND_AGG

public static final AggregateType BIT_NAND_AGG
The aggregate type for BIT_NAND_AGG(expression).

### BIT_NOR_AGG

public static final AggregateType BIT_NOR_AGG
The aggregate type for BIT_NOR_AGG(expression).

### BIT_XNOR_AGG

public static final AggregateType BIT_XNOR_AGG
The aggregate type for BIT_XNOR_AGG(expression).

### HISTOGRAM

public static final AggregateType HISTOGRAM
The aggregate type for HISTOGRAM(expression).

### COVAR_POP

public static final AggregateType COVAR_POP
The aggregate type for COVAR_POP binary set function.

### COVAR_SAMP

public static final AggregateType COVAR_SAMP
The aggregate type for COVAR_SAMP binary set function.

### CORR

public static final AggregateType CORR
The aggregate type for CORR binary set function.

### REGR_SLOPE

public static final AggregateType REGR_SLOPE
The aggregate type for REGR_SLOPE binary set function.

### REGR_INTERCEPT

public static final AggregateType REGR_INTERCEPT
The aggregate type for REGR_INTERCEPT binary set function.

### REGR_COUNT

public static final AggregateType REGR_COUNT
The aggregate type for REGR_COUNT binary set function.

### REGR_R2

public static final AggregateType REGR_R2
The aggregate type for REGR_R2 binary set function.

### REGR_AVGX

public static final AggregateType REGR_AVGX
The aggregate type for REGR_AVGX binary set function.

### REGR_AVGY

public static final AggregateType REGR_AVGY
The aggregate type for REGR_AVGY binary set function.

### REGR_SXX

public static final AggregateType REGR_SXX
The aggregate type for REGR_SXX binary set function.

### REGR_SYY

public static final AggregateType REGR_SYY
The aggregate type for REGR_SYY binary set function.

### REGR_SXY

public static final AggregateType REGR_SXY
The aggregate type for REGR_SXY binary set function.

### RANK

public static final AggregateType RANK
The type for RANK() hypothetical set function.

### DENSE_RANK

public static final AggregateType DENSE_RANK
The type for DENSE_RANK() hypothetical set function.

### PERCENT_RANK

public static final AggregateType PERCENT_RANK
The type for PERCENT_RANK() hypothetical set function.

### CUME_DIST

public static final AggregateType CUME_DIST
The type for CUME_DIST() hypothetical set function.

### PERCENTILE_CONT

public static final AggregateType PERCENTILE_CONT
The aggregate type for PERCENTILE_CONT(expression).

### PERCENTILE_DISC

public static final AggregateType PERCENTILE_DISC
The aggregate type for PERCENTILE_DISC(expression).

### MEDIAN

public static final AggregateType MEDIAN
The aggregate type for MEDIAN(expression).

### LISTAGG

public static final AggregateType LISTAGG
The aggregate type for LISTAGG(...).

### ARRAY_AGG

public static final AggregateType ARRAY_AGG
The aggregate type for ARRAY_AGG(expression).

### MODE

public static final AggregateType MODE
The aggregate type for MODE(expression).

### ENVELOPE

public static final AggregateType ENVELOPE
The aggregate type for ENVELOPE(expression).

### JSON_OBJECTAGG

public static final AggregateType JSON_OBJECTAGG
The aggregate type for JSON_OBJECTAGG(expression: expression).

### JSON_ARRAYAGG

public static final AggregateType JSON_ARRAYAGG
The aggregate type for JSON_ARRAYAGG(expression).

### GCD_AGG

public static final AggregateType GCD_AGG
The aggregate type for GCD_AGG(expression).

### LCM_AGG

public static final AggregateType LCM_AGG
The aggregate type for LCM_AGG(expression).

## Method Details

### values

public static AggregateType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AggregateType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null